Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w wątku Administracja.
Wątki z problemami zamieszczone w dziale "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

Autor Wątek: Coś nie tak z aktualizacjami  (Przeczytany 165 razy)

Offline Mamut

  • Newbie
  • *
  • Wiadomości: 36
  • Reputacja: +0/-0
Coś nie tak z aktualizacjami
« dnia: Czerwiec 27, 2020, 12:34:40 am »
- etc/apt/sources.list

# Stretch
deb http://deb.debian.org/debian stretch main contrib non-free
deb http://deb.debian.org/debian stretch-updates main contrib non-free
deb http://security.debian.org/debian-security/ stretch/updates main contrib non-free
deb https://deb.torproject.org/torproject.org stretch main
deb-src https://deb.torproject.org/torproject.org stretch main



deb http://www.deb-multimedia.org stretch main non-free

deb https://dl.winehq.org/wine-builds/debian/ stretch main
# deb-src https://dl.winehq.org/wine-builds/debian/ stretch main
deb http://deb.opera.com/opera-stable/ stable non-free


deb http://security.debian.org/ stable/updates main contrib non-free
deb  http://deb.debian.org/debian stable-updates main contrib non-free



- sudo apt update

Hit:1 http://security.debian.org/debian-security stretch/updates InRelease
Hit:2 http://www.deb-multimedia.org stretch InRelease                         
Hit:3 http://deb.opera.com/opera-stable stable InRelease                       
Hit:4 http://security.debian.org stable/updates InRelease                     
Ign:5 http://deb.debian.org/debian stretch InRelease                     
Hit:6 http://deb.debian.org/debian stretch-updates InRelease
Hit:7 http://deb.debian.org/debian stable-updates InRelease
Hit:8 http://deb.debian.org/debian stretch Release
Hit:10 https://dl.winehq.org/wine-builds/debian stretch InRelease
Get:9 https://deb.torproject.org/torproject.org stretch InRelease [4968 B]
Err:10 https://dl.winehq.org/wine-builds/debian stretch InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 76F1A20FF987672F
Err:9 https://deb.torproject.org/torproject.org stretch InRelease
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 74A941BA219EC810
Reading package lists... Done
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://dl.winehq.org/wine-builds/debian stretch InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 76F1A20FF987672F
W: GPG error: https://deb.torproject.org/torproject.org stretch InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 74A941BA219EC810
E: The repository 'https://deb.torproject.org/torproject.org stretch InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
root@neutron:~#

- sudo apt install deb-multimedia-keyring

root@neutron:~# sudo apt install deb-multimedia-keyring
Reading package lists... Done
Building dependency tree       
Reading state information... Done
deb-multimedia-keyring is already the newest version (2016.8.1).
0 upgraded, 0 newly installed, 0 to remove and 174 not upgraded.
root@neutron:~#


- sudo apt upgrade

root@neutron:~# sudo apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed:
  libdw1 libicu63 libvpx5
The following packages have been kept back:
  apache2-data apache2-utils apt apt-transport-https apt-utils bind9-host ca-certificates dnsutils e2fslibs e2fsprogs evince-common exim4 exim4-base exim4-config exim4-daemon-light
  firefox-esr-l10n-en-gb gir1.2-javascriptcoregtk-4.0 gir1.2-lokdocview-0.1 gir1.2-pango-1.0 git-man libcomerr2 libcomerr2:i386 libexpat1-dev libgs9-common libjavascriptcoregtk-4.0-18
  libkf5config-data libkf5configcore5 libkf5configgui5 libnss3 libqt5concurrent5 libqt5dbus5 libqt5printsupport5 libqt5sql5-sqlite libqt5test5 libqt5widgets5 libqt5xml5 libreoffice-base
  libreoffice-java-common libreoffice-kde libreoffice-l10n-en-gb libreoffice-math libreoffice-ogltrans libreoffice-report-builder-bin libreoffice-script-provider-js
  libreoffice-script-provider-python libreoffice-sdbc-postgresql libreoffice-style-breeze libreofficekit-data libsasl2-2 libss2 libssl-dev libwbclient0 openssl ppp qt5-gtk-platformtheme
  uno-libs3 ure
The following packages will be upgraded:
  apache2-doc bluez file fonts-opensymbol gir1.2-ibus-1.0 icu-devtools libapt-inst2.0 libbluetooth3 libexif12 libexif12:i386 libfribidi-dev libfribidi0 libibus-1.0-5 libicu-dev
  libldap-common liblog4j1.2-java libmagic-mgc libmagic1 libnghttp2-14 libreoffice-librelogo libreoffice-nlpsolver libreoffice-wiki-publisher libsasl2-modules libsasl2-modules:i386
  libsasl2-modules-db libsasl2-modules-db:i386 libssl-doc libvpx-dev linux-libc-dev patch python-apt-common tzdata
32 upgraded, 3 newly installed, 0 to remove and 57 not upgraded.
Need to get 0 B/34.1 MB of archives.
After this operation, 10.0 MB disk space will be freed.
Do you want to continue? [Y/n]

Y Enter
apt-listchanges: News
---------------------

apt (1.8.0~alpha3) unstable; urgency=medium

  The PATH for running dpkg is now configured by the option DPkg::Path,
  and defaults to "/usr/sbin:/usr/bin:/sbin:/bin". Previous behavior of
  not changing PATH may be restored by setting the option to an empty string.

  Support for /etc/apt/auth.conf.d/ has been added, see apt_auth.conf(5).

 -- Julian Andres Klode <jak@debian.org>  Tue, 18 Dec 2018 15:02:11 +0100

apt (1.6~rc1) unstable; urgency=medium

  Seccomp sandboxing has been turned off by default for now. If it works
  for you, you are encouraged to re-enable it by setting APT::Sandbox::Seccomp
  to true.

 -- Julian Andres Klode <jak@debian.org>  Fri, 06 Apr 2018 14:14:29 +0200

apt (1.6~beta1) unstable; urgency=medium

  APT now verifies that the date of Release files is not in the future. By
  default, it may be 10 seconds in the future to allow for some clock drift.

  Two new configuration options can be used to tweak the behavior:
    Acquire::Check-Date
    Acquire::Max-DateFuture

  These can be overridden in sources.list entries using the check-date
  and date-future-max options. Note that disabling check-date also
  disables checks on valid-until: It is considered to mean that your
  machine's time is not reliable.

 -- Julian Andres Klode <jak@debian.org>  Mon, 26 Feb 2018 13:14:13 +0100

apt (1.6~alpha1) unstable; urgency=medium

  All methods provided by apt except for cdrom, gpgv, and rsh now
  use seccomp-BPF sandboxing to restrict the list of allowed system
  calls, and trap all others with a SIGSYS signal. Three options
  can be used to configure this further:

    APT::Sandbox::Seccomp is a boolean to turn it on/off
    APT::Sandbox::Seccomp::Trap is a list of names of more syscalls to trap
    APT::Sandbox::Seccomp::Allow is a list of names of more syscalls to allow

  Also, sandboxing is now enabled for the mirror method.

 -- Julian Andres Klode <jak@debian.org>  Mon, 23 Oct 2017 01:58:18 +0200
:


Co z tym dalej:?
« Ostatnia zmiana: Czerwiec 27, 2020, 12:36:57 am wysłana przez Mamut »
Abnormal Termination Error Processing Request

Offline PomPom

  • Hero Member
  • *****
  • Wiadomości: 1610
  • Reputacja: +0/-0
  • RAM RANCH REALLY ROCKS!
Odp: Coś nie tak z aktualizacjami
« Odpowiedź #1 dnia: Czerwiec 27, 2020, 02:58:20 pm »
Problem mamy sobie znaleźć?

PS. zaktualizuj system do nowej wersji, tj.buster
Windows 10 | Arch Linux | Debian sid

Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Wiadomości: 1706
  • Reputacja: +1/-0
Odp: Coś nie tak z aktualizacjami
« Odpowiedź #2 dnia: Czerwiec 27, 2020, 04:01:05 pm »
Ostatni wynik informuje o zmianach w pakiecie apt
Wystarczy użyć q aby wyjść.
Nic nie jest tak proste, jak się wydaje.
Danielle Steel

Offline Mamut

  • Newbie
  • *
  • Wiadomości: 36
  • Reputacja: +0/-0
Odp: Coś nie tak z aktualizacjami
« Odpowiedź #3 dnia: Czerwiec 28, 2020, 12:44:41 pm »
Wystarczy użyć q aby wyjść.
Poszło lecz nadal nie pobiera aktualizacji. Komunikat jest taki:


Could not download all repository indexes

The repository may no longer be available or could not be contacted because of network problems. If available an older version of the failed index will be used. Otherwise the repository will be ignored. Check your network connection and ensure the repository address in the preferences is correct.


An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: [b]https://dl.winehq.org/wine-builds/debian stretch InRelease: [/b]The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 76F1A20FF987672FGPG error: [b]https://deb.torproject.org/torproject.org stretch InRelease: [/b]The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 74A941BA219EC810The repository 'https://deb.torproject.org/torproject.org stretch InRelease' is not signed.

To jakies smieci, ja tego nie uzywam. Jak to usunac?

Abnormal Termination Error Processing Request

Offline lami07

  • Global Moderator
  • Sr. Member
  • *****
  • Wiadomości: 461
  • Reputacja: +1/-0
Odp: Coś nie tak z aktualizacjami
« Odpowiedź #4 dnia: Czerwiec 28, 2020, 01:13:03 pm »
W przytoczonym przez ciebie pliku /etc/apt/sources.list znajdują sie wpisy związane z torproject i winehq.  Zakomentuj odpowiednie linijki stawiając znak # na poczatku.
Zapisz zmiany i zaktualizuj listę paczek.
« Ostatnia zmiana: Czerwiec 28, 2020, 01:14:43 pm wysłana przez lami07 »
IRC - #linuxiarze.pl w sieci freenode.net
Matrix - #linuxiarze.pl w sieci matrix.org

Offline Mamut

  • Newbie
  • *
  • Wiadomości: 36
  • Reputacja: +0/-0
Odp: Coś nie tak z aktualizacjami
« Odpowiedź #5 dnia: Czerwiec 28, 2020, 02:12:24 pm »
Zakomentuj odpowiednie linijki stawiając znak # na poczatku.

Działa! Teraz pozostaje mi cos takiego:
root@neutron:~# sudo apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages have been kept back:
  apache2-data apache2-utils apt apt-transport-https apt-utils bind9-host ca-certificates dnsutils e2fslibs e2fsprogs evince-common exim4 exim4-base exim4-config exim4-daemon-light
  firefox-esr-l10n-en-gb gir1.2-javascriptcoregtk-4.0 gir1.2-lokdocview-0.1 gir1.2-pango-1.0 git-man libcomerr2 libcomerr2:i386 libexpat1-dev libgs9-common libjavascriptcoregtk-4.0-18
  libkf5config-data libkf5configcore5 libkf5configgui5 libnss3 libqt5concurrent5 libqt5dbus5 libqt5printsupport5 libqt5sql5-sqlite libqt5test5 libqt5widgets5 libqt5xml5 libreoffice-base
  libreoffice-java-common libreoffice-kde libreoffice-l10n-en-gb libreoffice-math libreoffice-ogltrans libreoffice-report-builder-bin libreoffice-script-provider-js
  libreoffice-script-provider-python libreoffice-sdbc-postgresql libreoffice-style-breeze libreofficekit-data libsasl2-2 libss2 libssl-dev libwbclient0 openssl ppp qt5-gtk-platformtheme
  uno-libs3 ure
0 upgraded, 0 newly installed, 0 to remove and 57 not upgraded


root@neutron:~# sudo apt autoremove
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 142 not upgraded.
root@neutron:~#
« Ostatnia zmiana: Czerwiec 28, 2020, 02:14:35 pm wysłana przez Mamut »
Abnormal Termination Error Processing Request